/* This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/** printing utilities to replace the large printf from the standard library (API)
 *  @file print.h
 *  @author King Kévin <kingkevin@cuvoodoo.info>
 *  @date 2017
 */
#pragma once

void _putc(char c);
uint8_t putc(char c);
uint32_t puts(const char* s);
uint32_t printf(const char *fmt, ...);
